jQuery(function($){

   // portfolio loadmore button
   $(document).on('click', '.load-more-portfolio:not(.loading)', function(e){
    e.prevent
        var that = $(this);
        var pageb = that.data('pageb');
        var message = that.data('message');
        var newPage = pageb+1;
        var ajaxUrlb = that.data('url');
        var portfposts = that.data('posts');
        var portfolio_style = that.data('style');
        var portfolio_limit = that.data('limit');
        var portfolio_show_category = that.data('category');
        var author = that.data('author');
        var tags = that.data('tags');
        var portfolio_orderby = that.data('orderby');
        var portfolio_order = that.data('orderby');
        var column_name = that.data('column');

        that.addClass('loading');
        $.ajax({
            url : ajaxUrlb,
            type : 'post',
            data : {
                pageb : pageb,
                action : 'sewell_portfolio_load_morebtn',
                portfolio_style : portfolio_style,
                portfolio_limit : portfolio_limit,
                portfolio_show_category : portfolio_show_category,
                portfolio_orderby : portfolio_orderby,
                portfolio_order : portfolio_order,
                column_name : column_name,
                author : author,
                tags : tags,
            },
            error : function( response ) {

            },
            success : function( response ){
                    that.data('pageb', newPage );
                       var $items = $( response );
                        $('.portfolio_items').append( $items )
                        .isotope( 'appended', $items );
                        if (portfolio_style == 'masonry') {
                            var postLength = $('.masonry-item').length;
                            if (postLength >= portfposts) {
                                $('.load_more_blog_messages').append('<p style="text-align:center;">'+message+'</p>');
                                that.slideUp(300);
                            }
                        }else{
                            var postLength = $('.grid-item').length;
                            if (postLength >= portfposts) {
                                $('.load_more_blog_messages').append('<p style="text-align:center;">'+message+'</p>');
                                that.slideUp(300);
                            }
                        }

                        setTimeout(function(){
                          $('.masonry-wrap').hover(
                            function(){
                              $(this).addClass('ishover');
                            },
                            function(){
                              $(this).removeClass('ishover');
                            }
                          );
                            var $masonry = $('.sewl-masonry').isotope({
                              itemSelector: '.masonry-item',
                              layoutMode: 'masonry',
                            });
                            var $grid = $('.sewl-grid').isotope({
                              itemSelector: '.grid-item',
                              layoutMode: 'fitRows'
                            });
                            var filterFns = {
                              ium: function() {
                                var name = $(this).find('.name').text();
                                return name.match( /ium$/ );
                              }
                            };
                            $('.filter-buttons.grid').on( 'click', 'a', function(){
                              var filterValue = $( this ).attr('data-filter');
                              filterValue = filterFns[ filterValue ] || filterValue;
                              $grid.isotope({
                                filter: filterValue
                              });
                            });
                            $('.filter-buttons.masonry').on( 'click', 'a', function(){
                              var filterValue = $( this ).attr('data-filter');
                              filterValue = filterFns[ filterValue ] || filterValue;
                              $masonry.isotope({
                                filter: filterValue
                              });
                            });
                            $('.filter-buttons').each( function( i, buttonGroup ){
                              var $buttonGroup = $( buttonGroup );
                              $buttonGroup.on( 'click', 'a', function() {
                                $buttonGroup.find('.active').removeClass('active');
                                $(this).addClass('active');
                              });
                            });

                    }, 3000);
                that.removeClass('loading');
            }
        });
   });

// infinit scrolling for portfolio
    var portBtn = $('.portfolioInfinite');
    var portPage = 1;
    var portLoading = false;
    var portAjaxUrl = $('.portfolioInfinite').data('url');
    var portStyle = $('.portfolioInfinite').data('style');
    // var portDate = $('.portfolioInfinite').data('date');
    // var portMonth = $('.portfolioInfinite').data('month');
    // var portYear = $('.portfolioInfinite').data('year');
    var portTag = $('.portfolioInfinite').data('tags');
    var portCategory = $('.portfolioInfinite').data('category');
    var portAuthor = $('.portfolioInfinite').data('author');
    var portMessage = $('.portfolioInfinite').data('message');
    var portLimit = $('.portfolioInfinite').data('limit');
    var portOrderBy = $('.portfolioInfinite').data('orderby');
    var portOrder = $('.portfolioInfinite').data('order');
    var portColumn = $('.portfolioInfinite').data('column');
    var portPosts = $('.portfolioInfinite').data('posts');
    var portScrollHandler = {
        allow: true,
        reallow: function() {
            portScrollHandler.allow = true;
        },
        delay: 2000
    };
    $(window).scroll(function(){
      if ( $('body a').hasClass('portfolioInfinite') ) {
        if( ! portLoading && portScrollHandler.allow ) {
            portScrollHandler.allow = false;
            $('.portfolioInfinite').addClass('portinloading');
            setTimeout(portScrollHandler.reallow, portScrollHandler.delay);
            var offset = portBtn.offset().top - $(window).scrollTop();
            if( 2000 > offset ) {
                portLoading = true;
                var data = {
                    action      : 'sewell_portfolio_infinite_load_more',
                    portPage    : portPage,
                    portTag     : portTag,
                    portCategory: portCategory,
                    portAuthor  : portAuthor,
                    portStyle   : portStyle,
                    portLimit   : portLimit,
                    portOrderBy : portOrderBy,
                    portOrder   : portOrder,
                    portColumn  : portColumn,
                };
                $.post(portAjaxUrl, data, function(res) {
                    if( res.success) {
                            if (portStyle == 'masonry') {
                                var $items = $(  res.data  );
                                $('.portfolio_items').append( $items )
                                .isotope( 'appended', $items );
                                $('.sewl-masonry').append( portBtn );
                                if (postLength >= portPosts) {
                                    portScrollHandler.allow = false;
                                    $('.portfolioInfinite').append('<p>'+portMessage+'</p>');
                                    $('.portfolioInfinite').removeClass('portfolioInfinite');
                                }
                            }else{

                                var $items = $(  res.data  );
                                $('.portfolio_items').append( $items )
                                .isotope( 'appended', $items );
                                var postLength = $('.grid-item').length;
                                if (postLength >= portPosts) {
                                    portScrollHandler.allow = false;
                                    $('.portfolioInfinite').append('<p>'+portMessage+'</p>');
                                    $('.portfolioInfinite').removeClass('portfolioInfinite');
                                }
                            }
                            setTimeout(function(){
                                //sewl hover script

                              $('.masonry-wrap').hover(
                                function(){
                                  $(this).addClass('ishover');
                                },
                                function(){
                                  $(this).removeClass('ishover');
                                }
                              );
                                var $masonry = $('.sewl-masonry').isotope({
                                  itemSelector: '.masonry-item',
                                  layoutMode: 'masonry',
                                });
                                var $grid = $('.sewl-grid').isotope({
                                  itemSelector: '.grid-item',
                                  layoutMode: 'fitRows'
                                });
                                var filterFns = {
                                  ium: function() {
                                    var name = $(this).find('.name').text();
                                    return name.match( /ium$/ );
                                  }
                                };
                                $('.filter-buttons.grid').on( 'click', 'a', function(){
                                  var filterValue = $( this ).attr('data-filter');
                                  filterValue = filterFns[ filterValue ] || filterValue;
                                  $grid.isotope({
                                    filter: filterValue
                                  });
                                });
                                $('.filter-buttons.masonry').on( 'click', 'a', function(){
                                  var filterValue = $( this ).attr('data-filter');
                                  filterValue = filterFns[ filterValue ] || filterValue;
                                  $masonry.isotope({
                                    filter: filterValue
                                  });
                                });
                                $('.filter-buttons').each( function( i, buttonGroup ){
                                  var $buttonGroup = $( buttonGroup );
                                  $buttonGroup.on( 'click', 'a', function() {
                                    $buttonGroup.find('.active').removeClass('active');
                                    $(this).addClass('active');
                                  });
                                });

                            }, 3000);
                                $('.portfolioInfinite').removeClass('portinloading');
                                portPage = portPage + 1;
                                portLoading = false;
                    } else {

                    }
                }).fail(function(xhr, textStatus, e) {

                });
            }
        }
      }
    }); // scroll function
}); // document ready