<?php
/*
 * Blog splitted.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */
// Metabox
$sewell_id    = ( isset( $post ) ) ? $post->ID : 0;
$sewell_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $sewell_id;
$sewell_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $sewell_id;
$sewell_meta  = get_post_meta( $sewell_id, 'page_type_metabox', true );
$blog_style = cs_get_option('blog_style');
if ($blog_style === 'splitted') {
	$blog_splite_bg = cs_get_option('blog_splite_bg');
	$blog_splite_title = cs_get_option('blog_splite_title');
	$blog_splite_sub_title = cs_get_option('blog_splite_sub_title');
	$blog_splite_bg = ( $blog_splite_bg ) ? wp_get_attachment_url($blog_splite_bg) : SEWELL_IMAGES . '/backgrounds/bg7.png';
	$blog_splite_title = ( $blog_splite_title ) ? $blog_splite_title : 'Blog';
	$blog_splite_sub_title = ( $blog_splite_sub_title ) ? $blog_splite_sub_title : 'Exlore our all news &amp; Journal in a minitues.';
	$layout_class = 'blog-splitted';
}
$pagination_type = cs_get_option('blog_pagination_type');
$totlal = $wp_query->max_num_pages;
if( $pagination_type == 'infinite_scroll' ) {
	if($totlal > 1) {
		$paginate_class = 'blog-item-pagination';
	} else {
		$paginate_class = '';
	}
} elseif( $pagination_type == 'ajax_load_button' ) {
	if($totlal > 1) {
		$paginate_class = 'pagination_button';
	} else {
		$paginate_class = '';
	}
} else {
	$paginate_class = '';
} ?>
<div class="sewl-fixed-bg" style="background-image: url(<?php echo esc_url($blog_splite_bg); ?>);">
  <div class="sewl-table-container">
    <div class="sewl-align-container">
      <h1 class="bg-heading"><?php echo esc_attr($blog_splite_title); ?></h1>
      <span class="bg-sub-heading"><?php echo esc_attr($blog_splite_sub_title); ?></span>
    </div>
  </div>
</div>
<div class="col-md-6 pull-right">
  <div class="vertical-scrollbox">
    <div id="blog-post" class="blog-splitted-items <?php echo esc_attr($paginate_class); ?>">
			<?php
			if ( have_posts() ) :
				/* Start the Loop */
				while ( have_posts() ) : the_post(); ?>
	        <div id="post-<?php the_ID(); ?>" <?php post_class('blog-item'); ?>>
	          <div class="blog-title"><a href="<?php echo esc_url( get_permalink() ); ?>" class="bp-heading"><?php echo esc_attr(get_the_title()); ?></a></div>
	          <p>
	          	<?php
							$blog_excerpt = cs_get_option('theme_blog_excerpt');
							if ($blog_excerpt) {
								$blog_excerpt = $blog_excerpt;
							} else {
								$blog_excerpt = '30';
							}
							sewell_excerpt($blog_excerpt);
							echo sewell_wp_link_pages();
							?>
						</p>
	          <?php echo sewell_post_metas(); ?>
	        </div>
					<?php
				endwhile;
			else :
				get_template_part( 'layouts/post/content', 'none' );
			endif;
	    	wp_reset_postdata(); ?>
    </div>
		<?php
		if( $pagination_type == 'ajax_load_button' && $totlal > 1 ) {
			sewell_ajax_pagination_btn();
		} elseif( $pagination_type == 'infinite_scroll' && $totlal > 1 ) {
			sewell_ajax_pagination_hover();
		} else {
			echo sewell_paginate_links();
		}
		?>
  </div>
</div>
<?php
