 <?php
/* Sub template for homepage
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */

// Metabox
$sewell_id    = ( isset( $post ) ) ? $post->ID : 0;
$sewell_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $sewell_id;
$sewell_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $sewell_id;
$sewell_meta  = get_post_meta( $sewell_id, 'page_type_metabox', true );
$sewell_c_gallery_metabox  = get_post_meta( $sewell_id, 'gallery_single_metabox', true );
if ($sewell_c_gallery_metabox) {
  $gallery_image = $sewell_c_gallery_metabox['gallery_images'];
  $hide_zoom_icon = $sewell_c_gallery_metabox['hide_zoom_icon'];
  $hide_numbers = $sewell_c_gallery_metabox['hide_numbers'];
  $hide_share = $sewell_c_gallery_metabox['hide_share'];
  $hide_next_prev = $sewell_c_gallery_metabox['hide_next_prev'];
}else{
  $gallery_image = array();
  $hide_zoom_icon = '';
  $hide_numbers = '';
  $hide_share = '';
  $hide_next_prev = '';
}
?>
  <!-- sewl fullheight wrap -->
  <div class="sewl-fullheight-wrap">
    <div class="swiper-container kenburns keyboard" data-autoplay="true">
      <div class="swiper-wrapper">
  <?php if ( !empty( $gallery_image ) ) {
    foreach ($gallery_image as $key => $image_info) {
      $image = wp_get_attachment_image_url( $image_info['gallery_image'], 'full', false );
      if (!empty( $image )) {
        $image = $image;
      } else {
        $image = SEWELL_IMAGES.'/stack-placeholder.jpg';
      }
      $sewell_alt = get_post_meta( $image_info['gallery_image'], '_wp_attachment_image_alt', true );
    ?>
        <div class="swiper-slide">
          <div class="swiper-slide-wrap">
            <div class="swiper-slide-picture" style="background-image:url(<?php echo esc_url($image); ?>);"></div>
          </div>
        </div>
      <?php } } ?>
      </div>
    </div>
  </div>
<?php
