<?php
// Logo Image
$sewell_brand_logo_default = cs_get_option('brand_logo_default');
$sewell_brand_logo_retina = cs_get_option('brand_logo_retina');
// Retina Size
$sewell_retina_width = cs_get_option('retina_width');
$sewell_retina_height = cs_get_option('retina_height');
$sewell_retina_width = $sewell_retina_width ? $sewell_retina_width : '90';

if (isset($sewell_brand_logo_default)) {
    echo '<a href="'.esc_url(home_url( '/' )).'">';
    if ($sewell_brand_logo_retina) {
    	echo '<img src="'. esc_url(wp_get_attachment_url($sewell_brand_logo_retina)) .'" width="'. esc_attr($sewell_retina_width) .'" height="'. esc_attr($sewell_retina_height) .'" alt="" class="retina-logo">';
    }
    echo '<img src="'. esc_url(wp_get_attachment_url($sewell_brand_logo_default)) .'" alt="" class="default-logo" width="'. esc_attr($sewell_retina_width) .'" height="'. esc_attr($sewell_retina_height) .'">';
    echo '</a>';
} else {
	echo '<a href="'.esc_url(home_url( '/' )).'">'. esc_attr(get_bloginfo( 'name' )) . '</a>';
}
