 <?php
/* Sub template for homepage
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */

// Metabox
$sewell_id    = ( isset( $post ) ) ? $post->ID : 0;
$sewell_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $sewell_id;
$sewell_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $sewell_id;
$sewell_meta  = get_post_meta( $sewell_id, 'page_type_metabox', true );
$sewell_gallery_metabox  = get_post_meta( $sewell_id, 'page_gallery_metabox', true );
if ($sewell_gallery_metabox) {
  if($sewell_gallery_metabox['image_bg']){
    $image_bg = $sewell_gallery_metabox['image_bg'];
  }else{
    $image_bg =0;
  }
  if($sewell_gallery_metabox['static_text']){
    $static_text = $sewell_gallery_metabox['static_text'];
  }else{
    $static_text ='';
  }
}else{
  $static_text ='';
  $image_bg =0;
}
$image = wp_get_attachment_image_url( $image_bg, 'full', false );
$sewell_alt = get_post_meta( $image_bg, '_wp_attachment_image_alt', true );
if (!empty( $image )) {
  $image = $image;
} else {
  $image = SEWELL_IMAGES.'/stack-placeholder.jpg';
}
?>
  <!-- sewl fullheight wrap -->
  <div class="sewl-fullheight-wrap">
    <div class="sewl-static-bg" style="background-image: url(<?php echo esc_url($image); ?>);">
      <div class="sewl-bg-wrap">
        <div class="sewl-table-container">
          <div class="sewl-align-container">
            <?php echo do_shortcode($static_text); ?>
          </div>
        </div>
      </div>
    </div>
  </div>
<?php
