<?php
/**
 * Template part for displaying posts.
 */
$sewell_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
$sewell_large_image = $sewell_large_image ? $sewell_large_image[0] : '';

$sewell_post_type = get_post_meta( get_the_ID(), 'post_type_metabox', true );
$sewell_blog_style = cs_get_option('blog_listing_style');
$sewell_metas_hide = (array) cs_get_option( 'theme_metas_hide' );
if ($sewell_post_type) {
	$author = $sewell_post_type['quote_format_cite'];
	$url = $sewell_post_type['quote_format_cite_url'];
} else {
	$url = '#';
	$author = '';
}
if (!empty($author)) { ?>
<blockquote class="single-quote">
	<cite>&#45; <a href="<?php echo esc_url($url); ?>"><?php echo esc_attr($author); ?></a></cite>
</blockquote>
<?php }
the_content();
echo sewell_wp_link_pages();
