<?php
/**
 * Template part for displaying posts.
 */
$sewell_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
$sewell_large_image = $sewell_large_image ? $sewell_large_image[0] : '';
$sewell_post_type = get_post_meta( get_the_ID(), 'post_type_metabox', true );
$sewell_blog_style = cs_get_option('blog_listing_style');
$sewell_metas_hide = (array) cs_get_option( 'theme_metas_hide' );

if ( ! empty( $sewell_post_type['video_post_format'] ) ) {
	echo '<div class="blog-picture format-video">'. $sewell_post_type['video_post_format'] .'</div>';
} elseif($sewell_large_image) { ?>
  <div class="blog-picture">
		<a href="<?php echo esc_url( get_permalink() ); ?>"><img src="<?php echo esc_url($sewell_large_image); ?>" alt="<?php echo esc_attr(get_the_title()); ?>"></a>
  </div>
<?php }
the_content();
echo sewell_wp_link_pages();
