<?php
/*
 * The template for displaying all pages.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */
// Metabox
$sewell_id    = ( isset( $post ) ) ? $post->ID : 0;
$sewell_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $sewell_id;
$sewell_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $sewell_id;
$sewell_meta  = get_post_meta( $sewell_id, 'page_type_metabox', true );
$page_layout_options  = get_post_meta( $sewell_id, 'page_layout_options', true );
get_header();
// echo json_encode( get_option('_cs_options') ); // SewellWP - JSON File, json, Json.
if ( have_posts() ) :
	/* Start the Loop */
	while ( have_posts() ) : the_post();
	if ( !post_password_required() ) {
	if ($page_layout_options) {
		if (isset($page_layout_options['page_padding'])) {
			$page_padding = $page_layout_options['page_padding'];
		} else {
			$page_padding = '';
		}
		if( $page_padding == 'custom' ) {
			if( !empty($page_layout_options['page_custom_padding_top']) || !empty($page_layout_options['page_custom_padding_bottom'] ) ) {
				$padding = 'padding-top:'. esc_attr(sewell_core_check_px($page_layout_options['page_custom_padding_top'])) .';padding-bottom:'. esc_attr(sewell_core_check_px($page_layout_options['page_custom_padding_bottom'])) .';';
			} else {
				$padding = '';
			}
		} else {
			$padding = '';
		}
		if($page_layout_options['page_layout'] == 'full-height' || $page_layout_options['page_layout'] == 'extra-width' || $page_layout_options['page_layout'] == 'full-width') {
		} else {
			if ($page_layout_options['page_layout'] === 'left-sidebar') {
				$align_class = ' left';
			} elseif ($page_layout_options['page_layout'] === 'right-sidebar') {
				$align_class = ' right';
			} else {
				$align_class = '';
			}
			if( $page_layout_options['page_layout'] === 'left-sidebar'  ||  $page_layout_options['page_layout'] === 'right-sidebar' ) {
				$has_sidebar = 'sewell-has-sidebar'.$align_class;
			} else {
				$has_sidebar = '';
			}
		}
	} else {
		$padding = '';
		$has_sidebar = '';
	}
	get_template_part('layouts/header/title', 'bar' );

	if ($page_layout_options) {
		if($page_layout_options['page_layout'] == 'full-height' || $page_layout_options['page_layout'] == 'extra-width') {
			echo '';
		} elseif($page_layout_options['page_layout'] == 'full-width') {
			echo '<div class="sewl-mid-wrap" style="'. esc_attr($padding) .'"><div class="container"><div class="row">';
		} else {
			echo '<div class="sewl-mid-wrap '. esc_attr($has_sidebar) .'" style="'. esc_attr($padding) .'"><div class="container"><div class="row">';
		}
	} else {
		echo '<div class="sewl-mid-wrap blog-page"><div class="container"><div class="row">';
	}

	if ($page_layout_options) {
		if ( $page_layout_options['page_layout'] === 'left-sidebar' ) {
			get_sidebar();
		}
		if( $page_layout_options['page_layout'] === 'left-sidebar'  ||  $page_layout_options['page_layout'] === 'right-sidebar' ) {
			echo '<div class="col-md-8">';
		}
	}
	if ($page_layout_options) {
		if($page_layout_options['page_layout'] == 'full-height' || $page_layout_options['page_layout'] == 'extra-width') {
			echo '';
		} elseif($page_layout_options['page_layout'] == 'full-width') {
			echo '';
		} else {
			echo '<div class="sewl-detail-page clearfix">';
		}
	} else {
		echo '<div class="sewl-detail-page clearfix">';
	}

	the_content();
	echo sewell_wp_link_pages();
 // avoid errors further down the page

	if ($page_layout_options) {
		if($page_layout_options['page_layout'] == 'full-height' || $page_layout_options['page_layout'] == 'extra-width') {
			echo '';
		} elseif($page_layout_options['page_layout'] == 'full-width') {
			echo '';
		} else {
			echo '</div>';
		}
	} else {
		echo '</div>';
	}

	$sewell_theme_page_comments = cs_get_option('theme_page_comments');
		if ( isset($sewell_theme_page_comments) && (comments_open() || get_comments_number()) ) :
			comments_template();
		endif;
	if ($page_layout_options) {
		if( $page_layout_options['page_layout'] === 'left-sidebar'  ||  $page_layout_options['page_layout'] === 'right-sidebar' ) {
			echo '</div>';
		}
		if ( $page_layout_options['page_layout'] === 'right-sidebar' ) {
			get_sidebar();
		}
	}

	if ($page_layout_options) {
		if($page_layout_options['page_layout'] == 'full-height' || $page_layout_options['page_layout'] == 'extra-width') {
			echo '';
		} elseif($page_layout_options['page_layout'] == 'full-width') {
			echo '</div></div></div>';
		} else {
			echo '</div></div></div>';
		}
	} else {
		echo '</div></div></div>';
	}
} else {
	echo	get_the_password_form();
}
	endwhile;
else :
	get_template_part( 'layouts/post/content', 'none' );
endif;
	wp_reset_postdata();
get_footer();
