<?php
/* Single Template for gallery
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */

// Metabox
$sewell_id    = ( isset( $post ) ) ? $post->ID : 0;
$sewell_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $sewell_id;
$sewell_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $sewell_id;
$sewell_meta  = get_post_meta( $sewell_id, 'page_type_metabox', true );
$sewell_c_gallery_metabox  = get_post_meta( $sewell_id, 'gallery_single_metabox', true );
if ($sewell_c_gallery_metabox) {
	$gallery_layout = $sewell_c_gallery_metabox['gallery_layout'];
} else {
	$gallery_layout = '';
}

get_header();
	if ( have_posts() ) : 	while ( have_posts() ) : the_post();
		if ( !post_password_required() ) {
			get_template_part('layouts/gallery/'.$gallery_layout );
		} else {
			echo	get_the_password_form();
		}	endwhile;
	else :
		get_template_part( 'layouts/post/content', 'none' );
	endif;
	    wp_reset_postdata();  // avoid errors further down the page
get_footer();
