<?php
/* Template Name: About Me
 * The template for displaying About Me page.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */
// Metabox
$sewell_id    = ( isset( $post ) ) ? $post->ID : 0;
$sewell_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $sewell_id;
$sewell_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $sewell_id;
$about_meta  = get_post_meta( $sewell_id, 'about_page_metabox', true );
// Background - Type
if( $about_meta && isset( $about_meta['about_page_bg'] ) ) {
  extract( $about_meta['about_page_bg'] );
  $sewell_background_image       = ( ! empty( $image ) ) ? 'background-image: url(' . $image . ');' : 'background-image: url(' .get_template_directory_uri().'/assets/images/backgrounds/bg8.png);';
  $sewell_background_repeat      = ( ! empty( $image ) && ! empty( $repeat ) ) ? ' background-repeat: ' . $repeat . ';' : '';
  $sewell_background_position    = ( ! empty( $image ) && ! empty( $position ) ) ? ' background-position: ' . $position . ';' : '';
  $sewell_background_size    = ( ! empty( $image ) && ! empty( $size ) ) ? ' background-size: ' . $size . ';' : '';
  $sewell_background_attachment    = ( ! empty( $image ) && ! empty( $size ) ) ? ' background-attachment: ' . $attachment . ';' : '';
  $sewell_background_color       = ( ! empty( $color ) ) ? ' background-color: ' . $color . ';' : '';
  $sewell_background_style       = ( ! empty( $image ) ) ? $sewell_background_image . $sewell_background_repeat . $sewell_background_position . $sewell_background_size . $sewell_background_attachment : '';
  $sewell_title_bg = ( ! empty( $sewell_background_style ) || ! empty( $sewell_background_color ) ) ? $sewell_background_style . $sewell_background_color : '';
} else {
  $sewell_title_bg = '';
}
get_header();
?>
  <!-- sewl about me -->
  <div class="sewl-about-me" style="<?php echo esc_attr($sewell_title_bg); ?>">
    <div class="about-me-wrap">
      <div class="container">
        <div class="row">
          <div class="about-inner-wrap">
            <div class="vertical-scrollbox">
      				<?php
      					if ( have_posts() ) :
      						/* Start the Loop */
      						while ( have_posts() ) : the_post();
      							the_content();
      						endwhile;
      					else :
      						get_template_part( 'layouts/post/content', 'none' );
      					endif;
      					wp_reset_postdata();  // avoid errors further down the page
      				?>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
<?php
get_footer();
