<?php
// Metabox
$sewell_id    = ( isset( $post ) ) ? $post->ID : 0;
$sewell_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $sewell_id;
$sewell_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $sewell_id;
$sewell_meta  = get_post_meta( $sewell_id, 'page_type_metabox', true );

if($sewell_meta) {
  if (isset($sewell_meta['title_bar_height'])) {
    $title_bar_height = $sewell_meta['title_bar_height'];
  } else {
    $title_bar_height = '';
  }
  if($title_bar_height == 'height-custom' && !empty($sewell_meta['title_bar_custom_height']) ) {
    $title_bar_height = 'height:'.sewell_core_check_px($sewell_meta['title_bar_custom_height']).';';
  } else {
    $title_bar_height = '';
  }
} else {
  $title_bar_custom_height = cs_get_option('title_bar_custom_height');
  if($title_bar_custom_height) {
    $title_bar_height = 'height:'.sewell_core_check_px($title_bar_custom_height).';';
  } else {
    $title_bar_height = '';
  }
}
// Banner Type - Meta Box
if ($sewell_meta && is_page()) {
	$sewell_banner_type = $sewell_meta['banner_type'];
} else { $sewell_banner_type = ''; }

// Background - Type
if( $sewell_meta && isset( $sewell_meta['title_area_bg'] ) ) {
  extract( $sewell_meta['title_area_bg'] );
  $sewell_background_image       = ( ! empty( $image ) ) ? 'background-image: url(' . $image . ');' : '';
  $sewell_background_repeat      = ( ! empty( $image ) && ! empty( $repeat ) ) ? ' background-repeat: ' . $repeat . ';' : '';
  $sewell_background_position    = ( ! empty( $image ) && ! empty( $position ) ) ? ' background-position: ' . $position . ';' : '';
  $sewell_background_size    = ( ! empty( $image ) && ! empty( $size ) ) ? ' background-size: ' . $size . ';' : '';
  $sewell_background_attachment    = ( ! empty( $image ) && ! empty( $size ) ) ? ' background-attachment: ' . $attachment . ';' : '';
  $sewell_background_color       = ( ! empty( $color ) ) ? ' background-color: ' . $color . ';' : '';
  $sewell_background_style       = ( ! empty( $image ) ) ? $sewell_background_image . $sewell_background_repeat . $sewell_background_position . $sewell_background_size . $sewell_background_attachment : '';
  $sewell_title_bg = ( ! empty( $sewell_background_style ) || ! empty( $sewell_background_color ) ) ? $sewell_background_style . $sewell_background_color : '';

} else { $sewell_title_bg = ''; }

if($sewell_banner_type === 'hide-title-area') {
  	// Hide Title Area
} elseif($sewell_meta && $sewell_banner_type === 'revolution-slider') {  ?>
	<div class="banner-title-rev-slider">
    <?php echo do_shortcode($sewell_meta['page_revslider']); ?>
	</div>
	<?php
} else { ?>
	<!-- Banner & Title Area -->
  <div class="sewl-banner" style="<?php echo esc_attr($sewell_title_bg.$title_bar_height); ?>">
    <div class="sewl-bg-wrap">
      <div class="sewl-table-container">
        <div class="sewl-align-container">
          <div class="sewl-entrance-wrap style2">
            <span>
              <h1 class="entrance-heading"><?php echo sewell_title_area(); ?></h1>
            </span>
          </div>
        </div>
      </div>
    </div>
  </div>
<?php }
