 <?php
/* Sub template for homepage
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */

// Metabox
$sewell_id    = ( isset( $post ) ) ? $post->ID : 0;
$sewell_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $sewell_id;
$sewell_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $sewell_id;
$sewell_meta  = get_post_meta( $sewell_id, 'page_type_metabox', true );
$sewell_gallery_metabox  = get_post_meta( $sewell_id, 'page_gallery_metabox', true );

if ($sewell_gallery_metabox) {
  $video_source = $sewell_gallery_metabox['video_source'];
  $video_poster = $sewell_gallery_metabox['video_poster'];
  $static_text = $sewell_gallery_metabox['static_text'];
}else{
  $static_text ='';
  $video_source ='';
  $video_poster = '';
}
if (!empty(  $video_source )) {
  $video_source = $video_source;
} else {
  $video_source = 0;
}
if (!empty(  $video_poster )) {
  $image = wp_get_attachment_image_url( $video_poster, 'full', false );
  $sewell_alt = get_post_meta( $video_poster, '_wp_attachment_image_alt', true );
} else {
  $image = SEWELL_IMAGES.'/stack-placeholder.jpg';
  $sewell_alt = '';
}
?>
  <!-- sewl fullheight wrap -->
  <div id="video_player" class="sewl-fullheight-wrap" data-id="<?php echo esc_attr( sewell_video_format_data( $video_source) ); ?>">
    <img src="<?php echo esc_url($image); ?>" alt="<?php echo esc_attr( $sewell_alt ); ?>" class="placeholder-image">
    <div class="sewl-heading-wrap">
      <div class="sewl-table-container">
        <div class="sewl-align-container">
          <?php echo do_shortcode($static_text); ?>
        </div>
      </div>
    </div>
  </div>
<?php
